
#include <math.h>

#define XS 320
#define YS 200

void noise(unsigned char *buf,int ctr)
{
    int n,x,y,off;
    static char *shite,
                dirt[4*4]={0,1,0,0, 0,1,1,0, 1,1,1,1, 0,1,1,0},
                dirt2[4*4]={0,0,0,0, 0,0,1,0, 0,1,1,0, 1,0,0,0};

    /* Lines */
    for(n=0;n<0+(ctr/50%2);n++)
    {
        if((ctr+n)%15==0)
            continue;
        x=n*XS/2+ctr*n+XS+n/10.0+sin(ctr/20.0+n*2)*(double)XS;
        x%=XS;
        for(y=0;y<YS;y++)
            buf[x+y*XS]>>=1;
    }
    /* Small noise */
    for(n=0;n<10+(ctr/20%10);n++)
    {
        x=n*n+ctr*ctr+n*19;
        x%=XS;
        y=x+n*10+ctr*17;
        y%=YS;

        buf[x+y*XS]>>=1;
    }

    /* Dirt blob */
    //    if(ctr%6==0)
    for (n=0; n<50; n++)
    {
        if(ctr%3==0)
            shite=dirt;
        else
            shite=dirt2;

        off=ctr*ctr*13+1000+sin(ctr)*500.0;
        off%=XS*(YS-4);

        for(y=0;y<4;y++)
            for(x=0;x<4;x++)
                if(shite[y*4+x])
                    buf[x+y*XS+off]>>=1;
    }
}
