/* convert jpg's to raw videos and raw videos to pixel data */

typedef struct {
    float frame;
    char * name;
    unsigned char * buf;
    int N;

} VIDEO;

/* our dimensions */
#define VW 320
#define VH 200

VIDEO * load_video(char * name, int first_frame, int nof_frames,
		  int threshold, int multiply, int add_rnd);

// skip_pixels = how many pixels to skip when drawing
//               0 = none
//               1 = skip every other (=> half-sized screen)
//               etc.
void show_video(unsigned char * dest, VIDEO * vid, int tick, int tyhjaa);

void video_turn_direction();
void video_zero_frame(VIDEO * vid);
void set_video_spd(float spd);

void save_raw_video(char * name, VIDEO * vid);
void load_raw_video(VIDEO * vid, char * name);

